//MQL5 Version  June 21, 2010 Final
//+X================================================================X+
//|                                               LRMASeries_Cls.mqh |
//|                               Copyright  2010, Nikolay Kositsin |
//|                              Khabarovsk,   farria@mail.redcom.ru | 
//+X================================================================X+
#property copyright "2010,   Nikolay Kositsin"
#property link      "farria@mail.redcom.ru"
#property version   "1.00"

//+X----------------------------------------------------------------X+
//   Moving_Average                                    | 
//+X----------------------------------------------------------------X+ 
#include <MASeries_Cls.mqh> 
//+X================================================================X+
//|  -         |
//+X================================================================X+
class CLRMA  
 {
public:   
  double LRMASeries(uint begin,//     
                     uint prev_calculated,//       
                     uint rates_total,//       
                     int Length,//  
                     double series,//   ,      bar
                     uint bar,//  
                     bool set //   .
                     )
  {
//----+
   //----   
   double sma, lwma, lrma;  
  
   //----    Moving_Average   MASeries_Cls.mqh
  // CMoving_Average SMA, LWMA;
  
   //----     
   sma = SMA.SMASeries(begin, prev_calculated, rates_total, Length, series, bar, set);
   lwma = LWMA.LWMASeries(begin, prev_calculated, rates_total, Length, series, bar, set);
 
   //----  LRMA
   lrma = 3.0 * lwma - 2.0 * sma;
//----+
   return(lrma); 
  };

protected:
 //----    Moving_Average
 CMoving_Average SMA, LWMA;  
 };
//+X----------------------+ <<< The End >>> +-----------------------X+